﻿@model Tuple<List<ARGNSCrPathActivitiesView>, List<ARGNS.Model.Implementations.SAP.Department>, List<ARGNS.Model.Implementations.SAP.RolSAP>, string>
<div class="table-responsive">
    <div id="TableActivities" style="min-width: 1200px;">
        <table class="table table-striped">
            <thead>
                <tr>
                    <th>@PDM.Updated</th>
                    <th>@PDM.Workflow</th>
                    <th>@PDM.Desc</th>
                    <th>@PDM.Department</th>
                    <th>Rol</th>
                    <th>@PDM.User</th>
                    <th>@PDM.Employee</th>
                    <th>@PDM.BP</th>
                    <th>@PDM.LTP</th>
                    <th>@PDM.PDF</th>
                    <th>@PDM.PDT</th>
                    <th>@PDM.SAPActivity</th>
                    <th>&nbsp;</th>
                </tr>
            </thead>
            <tbody>
                @foreach (ARGNSCrPathActivitiesView item in Model.Item1)
                {
                    string IdPlSDate = "U_PlSDate" + item.LineId, IdPlCDate = "U_PlCDate" + item.LineId, IdLine = "LineCode" + item.LineId, IdLTime = "U_PlanLead" + item.LineId, IdUpdated = "U_Updated" + item.LineId;
                    string IdU_Depart = "U_Depart" + item.LineId, IdU_Role = "U_Role" + item.LineId, IdU_Manager = "U_Manager" + item.LineId, IdU_User = "U_User" + item.LineId, IdU_Bp = "U_Bp" + item.LineId;
                    string IdU_PhaseId = "U_PhaseId" + item.LineId, IdDesc = "U_Desc" + item.LineId, IdActSAP = "U_ActSAP" + item.LineId;

                    <tr>
                        <td><input type="checkbox" id="@IdUpdated" class="checkbox-inline" @(item.U_Updated == "Y" ? "checked=checked" : "") disabled="disabled"> 
                            @Html.Hidden(IdLine, item.LineId, new { @Id = IdLine })
                        </td>
                        <td>@Html.TextBox(IdU_PhaseId , item.U_PhaseId, new { @Id = IdU_PhaseId, @placeholder = PDM.Workflow, @class = "form-control", @disabled = "disabled" })</td>
                        <td>@Html.TextBox(IdDesc, item.U_Desc, new { @Id = IdDesc, @placeholder = PDM.Desc, @class = "form-control", @disabled = "disabled" })</td>
                        <td>
                            @Html.DropDownList(IdU_Depart, new SelectList(
                            Model.Item2,
                            "Name",
                            "Name", item.U_Depart), new { @Id = IdU_Depart, @Name = IdU_Depart, @class = "form-control" })
                        </td>
                        <td>
                            @Html.DropDownList(IdU_Role, new SelectList(
                            Model.Item3,
                            "descriptio",
                            "descriptio", item.U_Role), new { @Id = IdU_Role, @Name = IdU_Role, @class = "form-control" })
                        </td>
                        <td style="width:140px;">
                            <div class="col-xs-8 no-padding ">
                                <input id='@IdU_Manager' class="form-control" value='@item.U_Manager' disabled="disabled" />
                            </div>
                            <div class="col-xs-4 padding-left-1">
                                <button type="button" @(ViewBag.FormMode == "View" ? "style=cursor:no-drop;" : "") class="btn btn-primary btn-xs" data-toggle="modal" data-target="@(ViewBag.FormMode == "View" ? "" : "#ModalUsers")" onclick="$('#UserRowId').val(@item.LineId)"><span class="glyphicon glyphicon-search"></span></button>
                            </div>
                        </td>
                        <td style="width:140px;">
                            <div class="col-xs-8 no-padding ">
                                <input id='@IdU_User' class="form-control" value='@item.U_User' disabled="disabled" />
                            </div>
                            <div class="col-xs-4 padding-left-1">
                                <button type="button" @(ViewBag.FormMode == "View" ? "style=cursor:no-drop;" : "") class="btn btn-primary btn-xs" data-toggle="modal" data-target="@(ViewBag.FormMode == "View" ? "" : "#ModalEmployee")" onclick="$('#EmployeeRowId').val(@item.LineId)"><span class="glyphicon glyphicon-search"></span></button>
                            </div>
                        </td>
                        <td style="width:140px;">
                            <div class="col-xs-8 no-padding ">
                                <input id='@IdU_Bp' class="form-control" value='@(!string.IsNullOrEmpty(item.U_Bp) ? item.U_Bp : Model.Item4)' disabled="disabled" />
                            </div>
                            <div class="col-xs-4 padding-left-1">
                                <button type="button" @(ViewBag.FormMode == "View" ? "style=cursor:no-drop;" : "") class="btn btn-primary btn-xs" data-toggle="modal" data-target="@(ViewBag.FormMode == "View" ? "" : "#ModalBP")" onclick="$('#BPRowId').val(@item.LineId)"><span class="glyphicon glyphicon-search"></span></button>
                            </div>
                        </td>
                        <td>@Html.TextBox(IdLTime, (item.U_PlanLead != null ? Math.Round((decimal)item.U_PlanLead, 2).ToString() : ""), new { @Id = IdLTime, @class = "form-control", @disabled = "disabled" })</td>
                        <td>
                            <div class="input-group date">
                                @Html.TextBox(IdPlSDate, (item.U_PlSDate != null && item.U_PlSDate != DateTime.MinValue ? item.U_PlSDate.ToString().AsDateTime().ToShortDateString() : ""), new { @Id = IdPlSDate, @placeholder = @PurchaseOrders.Date, @class = "form-control", @disabled = "disabled" })<span class="input-group-addon" style="pointer-events:none"><i class="glyphicon glyphicon-calendar"></i></span>
                            </div>
                        </td>
                        <td>
                            <div class="input-group date">
                                @Html.TextBox(IdPlCDate, (item.U_PlCDate != null && item.U_PlCDate != DateTime.MinValue ? item.U_PlCDate.ToString().AsDateTime().ToShortDateString() : ""), new { @Id = IdPlCDate, @placeholder = @PurchaseOrders.Date, @class = "form-control", @disabled = "disabled" })<span class="input-group-addon" style="pointer-events:none"><i class="glyphicon glyphicon-calendar"></i></span>
                            </div>
                        </td>
                        <td>@Html.TextBox(IdActSAP, item.U_ActSAP, new { @Id = IdActSAP, @placeholder = PDM.SAPActivity, @class = "form-control", @disabled = "disabled" })</td>
                        <td><a href="@(!string.IsNullOrEmpty(item.U_ActSAP) ? "/PLM/Activity/ActivityAction?pAction=View&pCode="+item.U_ActSAP+"&pFrom=MyActivities" : "#" )" class="btn btn-default btn-xs" @(!string.IsNullOrEmpty(item.U_ActSAP) ? "target = \"_blank\"" : "style=cursor:no-drop;" )><span class="glyphicon glyphicon-eye-open"></span></a></td>
                    </tr>
                }
            </tbody>
        </table>
    </div>
</div>
<div class="clearfix"></div>